`timescale 1 ns/ 1 ns

module 	abte16245 (  dir1,  dir2,  oe_n,  b_1 ,  b_2 ,  a_1 ,  a_2 );
 input dir1,  dir2,  oe_n; 
 inout [7:0] b_1 , b_2 , a_1 , a_2;
	
assign b_1	= (~oe_n && ~dir1)	?  a_1 : 8'hz;
assign b_2	= (~oe_n && ~dir2)	?  a_2 : 8'hz;
assign a_1	= (~oe_n && dir1)	?  b_1 : 8'hz;
assign a_2	= (~oe_n && dir2)	?  b_2 : 8'hz;

endmodule