`timescale 1ns/1ns

module cs4272_adcs( input clrn, lrck, sclk, sdout,
	output l_dav, r_dav,
	output reg [23:0] l_word, r_word);

parameter dly = 1;	
	
reg old_lrck;
reg [4:0] counter;

always @(posedge sclk) begin
	old_lrck	<= # dly lrck;
end

assign l_dav	= ~old_lrck;
assign r_dav	= old_lrck;

always @(posedge sclk) begin
	if (lrck!=old_lrck) begin
		counter	<= # dly 5'h1;
	end else if (counter!=5'd23) begin
		counter	<= # dly counter + 1'b1;
	end
end		
		
always @(posedge sclk) begin
	if (counter!=5'd23 || (lrck!=old_lrck)) begin
		if (lrck) begin
			l_word <= # dly {l_word[22:0], sdout};
		end else begin
			r_word <= # dly {r_word[22:0], sdout};
		end
	end
end

endmodule