`timescale 1 ns/ 1 ns

module enhapll_32_77 (
	areset,
	inclk0,
	c0,
	locked);

	input	  areset;
	input	  inclk0;
	output	  c0;
	output	  locked;

parameter half_period = 30;	
	
reg locked, c0;

initial begin
	locked	= 1'b0;
	#8000;
	locked	= 1'b1;
end

initial begin
	c0 = 1'b1;
end

always begin
# half_period;
c0 = ~c0;
end
	
endmodule