`timescale 1 ns/ 1 ns

module 	dab64x_stratrix_controller (
	switch1,
	vwbtn_mezzid,
	hwbtn_mezzid,
	switch2,
	vme_retryn,
	delay_in3,
	delay_in4,
	delay_sdo,
	\board_rst_on/offn ,
	hwbtn_control,
	p0_aux_d,
	p0_aux_e,
	p0_blm_in,
	p0_bs,
	vwbtn_control,
	vme_am,
	vme_wrtn,
	vme_ga,
	vme_ds0n,
	vme_ds1n,
	vme_gap,
	p0_pm_start,
	p0_orbit_start,
	p0_capture_start,
	p0_aux_pm_start,
	vwbtn_strobe,
	fp_40mhz,
	hwbtn_strobe,
	p0_lvds_40mhz,
	fp_capture_start,
	fp_orbit_start,
	p0_pm_freeze,
	p0_aux_pm_freeze,
	v_del_in_40mhz,
	fp_tclk,
	h_del_in_40mhz,
	p0_lvds_tclk,
	temp_data,
	switch_lhc_spsn,
	vme_sysresetn,
	irq_vector_enable,
	intlev_reg,
	vme_iackinn,
	vme_asn,
	stx_40mhz_osc,
	vme_sysclk,
	vme_iackn,
	hwbtn_neg15_okn,
	hwbtn_pos15_okn,
	hwbtn_neg5p2_okn,
	hwbtn_neg2_okn,
	vwbtn_neg15_okn,
	vwbtn_pos15_okn,
	vwbtn_neg5p2_okn,
	vwbtn_neg2_okn,
	vwbtn_pos5_okn,
	vwbtn_dig3p3v_ok,
	vwbtn_dig5v_ok,
	hwbtn_dig3p3v_ok,
	hwbtn_pos5_okn,
	hwbtn_dig5v_ok,
	hwbtn_integ_stat,
	hwbtn_ir,
	hwbtn_d,
	vwbtn_integ_stat,
	vwbtn_ir,
	vwbtn_d,
	vme_lwordn,
	vme_add,
	vme_data,
	hor_sram_data,
	vert_sram_data,
	flash_oen,
	flash_wen,
	flash_a,
	vme_dtack_en,
	flash_cen,
	fp_vme_acc_ledn,
	fp_configure_ok_ledn,
	fp_orbit_running_ledn,
	fp_capture_running_ledn,
	fp_pm_running_ledn,
	fp_pwr_ok_ledn,
	fp_40mhz_det_ledn,
	fp_tclk_det_ledn,
	fp_calib_mode_ledn,
	vme_sysfailn,
	moduleid,
	pim_io,
	pim_sig_even,
	pim_sig_odd,
	pm_sram_data,
	vert_sram_oen,
	vert_sram_clk,
	vert_sram_wrt_lwordn,
	vert_sram_byte_wen,
	vert_sram_ce1n,
	pm_sram_wrt_lwordn,
	pm_sram_byte_wen,
	pm_sram_ce1n,
	stratix_vme_accn,
	pm_sram_oen,
	pm_sram_clk,
	p0_bscan1,
	p0_bscan2,
	p0_bscan3,
	hwbtn_trigger,
	hwbtn_bscan1,
	hwbtn_bscan2,
	vwbtn_bscan1,
	vwbtn_bscan2,
	fp_mux_a,
	fp_mux_b,
	fp_bscan1,
	fp_bscan2,
	\sram_p/ftn ,
	sram_bwsan,
	sram_bwsbn,
	sram_bwscn,
	sram_bwsdn,
	temp_clk,
	temp_csn,
	delay_out3,
	delay_out4,
	delay_sdi,
	delay_sclk,
	delay_latch,
	vwbtn_trigger,
	hor_sram_wrt_lwordn,
	hor_sram_byte_wen,
	hor_sram_ce1n,
	hor_sram_oen,
	hor_sram_clk,
	vwbtn_lvds_del_tclk,
	vwbtn_lvds_del_40mhz,
	hwbtn_lvds_del_tclk,
	hwbtn_lvds_del_40mhz,
	vme_forceretry,
	vme_2e_cycle,
	stx_245_oen,
	stratix_flash_csn,
	stratix_irq_vectorn,
	mictor_even_clk,
	mictor_odd_clk,
	vme_berrn,
	h_del_out_40mhz,
	v_del_out_40mhz,
	p0_blm_dcin_ctrl2,
	p0_blm_dcin_ctrl1,
	stx_dtackn,
	vme_iack_outn,
	hor_sram_add,
	mictor_even,
	pm_sram_add,
	vert_sram_add,
	vme_irqn);
input 	switch1;
input 	vwbtn_mezzid;
input 	hwbtn_mezzid;
input 	switch2;
input 	vme_retryn;
input 	delay_in3;
input 	delay_in4;
input 	delay_sdo;
input 	\board_rst_on/offn ;
input 	[2:0] hwbtn_control;
input 	[8:2] p0_aux_d;
input 	[8:6] p0_aux_e;
input 	[8:1] p0_blm_in;
input 	[7:0] p0_bs;
input 	[2:0] vwbtn_control;
input 	[5:0] vme_am;
input 	vme_wrtn;
input 	[4:0] vme_ga;
input 	vme_ds0n;
input 	vme_ds1n;
input 	vme_gap;
input 	p0_pm_start;
input 	p0_orbit_start;
input 	p0_capture_start;
input 	p0_aux_pm_start;
input 	vwbtn_strobe;
input 	fp_40mhz;
input 	hwbtn_strobe;
input 	p0_lvds_40mhz;
input 	fp_capture_start;
input 	fp_orbit_start;
input 	p0_pm_freeze;
input 	p0_aux_pm_freeze;
input 	v_del_in_40mhz;
input 	fp_tclk;
input 	h_del_in_40mhz;
input 	p0_lvds_tclk;
input 	temp_data;
input 	switch_lhc_spsn;
input 	vme_sysresetn;
input 	irq_vector_enable;
input 	[2:0] intlev_reg;
input 	vme_iackinn;
input 	vme_asn;
input 	stx_40mhz_osc;
input 	vme_sysclk;
input 	vme_iackn;
input 	hwbtn_neg15_okn;
input 	hwbtn_pos15_okn;
input 	hwbtn_neg5p2_okn;
input 	hwbtn_neg2_okn;
input 	vwbtn_neg15_okn;
input 	vwbtn_pos15_okn;
input 	vwbtn_neg5p2_okn;
input 	vwbtn_neg2_okn;
input 	vwbtn_pos5_okn;
input 	vwbtn_dig3p3v_ok;
input 	vwbtn_dig5v_ok;
input 	hwbtn_dig3p3v_ok;
input 	hwbtn_pos5_okn;
input 	hwbtn_dig5v_ok;
//input 	hwbtn_integ_stat;
output 	hwbtn_integ_stat;
input 	hwbtn_ir;
inout 	[11:0] hwbtn_d;
input 	vwbtn_integ_stat;
input 	vwbtn_ir;
inout 	[11:0] vwbtn_d;
inout 	vme_lwordn;
inout 	[31:1] vme_add;
inout 	[31:0] vme_data;
inout 	[31:0] hor_sram_data;
inout 	[31:0] vert_sram_data;
inout 	flash_oen;
inout 	flash_wen;
inout 	[22:0] flash_a;
inout 	vme_dtack_en;
inout 	flash_cen;
inout 	fp_vme_acc_ledn;
inout 	fp_configure_ok_ledn;
inout 	fp_orbit_running_ledn;
inout 	fp_capture_running_ledn;
inout 	fp_pm_running_ledn;
inout 	fp_pwr_ok_ledn;
inout 	fp_40mhz_det_ledn;
inout 	fp_tclk_det_ledn;
inout 	fp_calib_mode_ledn;
inout 	vme_sysfailn;
inout 	moduleid;
inout 	[64:1] pim_io;
inout 	[24:1] pim_sig_even;
inout 	[24:1] pim_sig_odd;
inout 	[31:0] pm_sram_data;
output 	vert_sram_oen;
output 	vert_sram_clk;
output 	vert_sram_wrt_lwordn;
output 	vert_sram_byte_wen;
output 	vert_sram_ce1n;
output 	pm_sram_wrt_lwordn;
output 	pm_sram_byte_wen;
output 	pm_sram_ce1n;
output 	stratix_vme_accn;
output 	pm_sram_oen;
output 	pm_sram_clk;
output 	p0_bscan1;
output 	p0_bscan2;
output 	p0_bscan3;
output 	hwbtn_trigger;
output 	hwbtn_bscan1;
output 	hwbtn_bscan2;
output 	vwbtn_bscan1;
output 	vwbtn_bscan2;
output 	fp_mux_a;
output 	fp_mux_b;
output 	fp_bscan1;
output 	fp_bscan2;
output 	\sram_p/ftn ;
output 	sram_bwsan;
output 	sram_bwsbn;
output 	sram_bwscn;
output 	sram_bwsdn;
output 	temp_clk;
output 	temp_csn;
output 	delay_out3;
output 	delay_out4;
output 	delay_sdi;
output 	delay_sclk;
output 	delay_latch;
output 	vwbtn_trigger;
output 	hor_sram_wrt_lwordn;
output 	hor_sram_byte_wen;
output 	hor_sram_ce1n;
output 	hor_sram_oen;
output 	hor_sram_clk;
output 	vwbtn_lvds_del_tclk;
output 	vwbtn_lvds_del_40mhz;
output 	hwbtn_lvds_del_tclk;
output 	hwbtn_lvds_del_40mhz;
output 	vme_forceretry;
output 	vme_2e_cycle;
output 	stx_245_oen;
output 	stratix_flash_csn;
output 	stratix_irq_vectorn;
output 	mictor_even_clk;
output 	mictor_odd_clk;
output 	vme_berrn;
output 	h_del_out_40mhz;
output 	v_del_out_40mhz;
output 	p0_blm_dcin_ctrl2;
output 	p0_blm_dcin_ctrl1;
output 	stx_dtackn;
output 	vme_iack_outn;
output 	[20:0] hor_sram_add;
output 	[15:0] mictor_even;
output 	[20:0] pm_sram_add;
output 	[20:0] vert_sram_add;
output 	[6:1] vme_irqn;

parameter dly = 1;



wire clk, clrn;
wire rd_reg, wr_reg;

wire [31:0] vme_interface_din;
wire vme_din_dav;

wire [23:0] adc_out_l, adc_out_r;

wire cs_codec, cs_vwbtn;

wire chirp_start_ch1, chirp_start_ch2;
wire adc_dav_r, adc_dav_l;

wire trigger_acq;

wire cs_vert_sram_master;	
wire vert_sram_master_dav;
wire [31:0] vert_sram_master_dout;
wire en_trigger_vert;

wire cs_hor_sram_master;	
wire hor_sram_master_dav;
wire [31:0] hor_sram_master_dout;
wire en_trigger_hor;


wire cs_pm_sram_master;	
wire pm_sram_master_dav;
wire [31:0] pm_sram_master_dout;

wire fft_req_ch1, fft_req_ch2;
wire fft_grant_ch1, fft_grant_ch2;

wire fft_start_vert;	
wire [3:0] fft_iteration_vert;
wire [15:0] fft_n_2_vert;
wire [31:0] fft_x_t_vert;

wire fft_start_hor;	
wire [3:0] fft_iteration_hor;
wire [15:0] fft_n_2_hor;
wire [31:0] fft_x_t_hor;

wire fft_start;	
wire [3:0] fft_iteration;
wire [15:0] fft_n_2;
wire [31:0] fft_x_t;

wire [31:0] fft_x_f;
wire fft_overflow;

	
wire w_mem_cs;
wire [31:0] w_mem_dout;			

wire cs_trigger_manager;
wire time_tick;

wire cs_fir_dec;

wire fir_dec_dav_l, fir_dec_dav_r;
wire [31:0] fir_dec_dout_l, fir_dec_dout_r;
wire fir_dec_oveflow_l, fir_dec_oveflow_r;

wire en_window_ch1, en_window_ch2, en_window_ch3;
wire [4:0] acq_lenght_ch1, acq_lenght_ch2, acq_lenght_ch3;
wire win_dav_out_l_ch1, win_dav_out_r_ch1,win_dav_out_l_ch2, win_dav_out_r_ch2, win_dav_out_l_ch3, win_dav_out_r_ch3;
wire [31:0] win_dout_l_ch1, win_dout_r_ch1, win_dout_l_ch2, win_dout_r_ch2, win_dout_l_ch3, win_dout_r_ch3; 

wire [31:0] trigger_manager_dout;	
wire trigger_manager_dav;

wire cordic_win_1_dav;
wire [31:0] cordic_win_1_data;
wire cordic_win_2_dav;
wire [31:0] cordic_win_2_data;
wire cordic_win_3_dav;
wire [31:0] cordic_win_3_data;

wire [31:0] vwbtn_feedback;

wire [31:2] vme_addr_int;
wire [31:0] vme_data_int;

wire cs_cordic_win_1, cs_cordic_win_2, cs_cordic_win_3;

wire codec_dout_dav, fir_dec_vme_dout_dav;
wire [31:0] codec_dout, fir_dec_vme_dout;

wire new_interrupt, cs_int_manager, int_manager_dav;
wire [31:0] int_manager_data;
wire rora_roak, int_in_fifo;


//DEFAULT ASSIGNEMENT

assign clrn	=  vme_sysresetn;
assign clk	=  stx_40mhz_osc;

assign sram_bwsan	= 1'b1;
assign sram_bwsbn	= 1'b1;
assign sram_bwscn	= 1'b1;
assign sram_bwsdn	= 1'b1;


assign hwbtn_bscan2	= 1'b0;
assign hwbtn_bscan1	= 1'b1;
assign hwbtn_d[11:8]= 6'h0;

assign fp_bscan1	= 1'b0;
assign fp_bscan2	= 1'b0;

//DEBUGGING'S ASSIGNEMNTS
			
assign fp_configure_ok_ledn 	= vme_ga[4];
assign fp_orbit_running_ledn	= vme_ga[3];
assign fp_capture_running_ledn	= vme_ga[2];
assign fp_pm_running_ledn		= vme_ga[1];

assign fp_calib_mode_ledn		= vme_ga[0];	
assign fp_tclk_det_ledn			= vme_gap;
assign fp_40mhz_det_ledn		= 1'b1;
assign fp_pwr_ok_ledn			= 1'b0;

wire cs_debug_reg;
reg [31:0] debug_reg;

always @(posedge clk or negedge clrn) begin
	if (~clrn) begin
		debug_reg	<= # dly 32'h00010000;
	end else if (wr_reg && cs_debug_reg) begin
		debug_reg	<= # dly vme_data_int;
	end 
end

reg [9:0] test_counter;

always @(posedge fp_40mhz or negedge clrn) begin
	if (~clrn) begin
		test_counter	<= # dly 10'b0;
	end else begin
		test_counter	<= # dly test_counter + 1'b1;
	end
end

assign fp_mux_a		= test_counter[9];
assign fp_mux_b		= test_counter[3];
//assign fp_mux_a		= debug_reg[4]	? hwbtn_control[debug_reg[1:0]] : hwbtn_d[debug_reg[3:0]];
//assign fp_mux_b		= debug_reg[20]	? hwbtn_control[debug_reg[17:16]] : hwbtn_d[debug_reg[19:16]];

//INTERNAL TICK COUNTER

reg tick;
reg [15:0] tick_counter;

always @(posedge clk or negedge clrn) begin
	if (~clrn) begin
		tick			<= # dly 1'b0;
		tick_counter	<= # dly 16'h0;
	end else begin
		if (tick_counter==16'd39999) begin
			tick			<= # dly 1'b1;
			tick_counter	<= # dly 16'h0;
		end else begin
			tick			<= # dly 1'b0;
			tick_counter	<= # dly tick_counter + 1'b1;
		end
	end
end

assign time_tick	= tick;

//VME INTERFACE

stx_vme_interface stx_vme_interface_i(
	.clk(clk), 
	.clrn(clrn),
	.vme_ga(vme_ga),
	.vme_gap(vme_gap),
	.vme_as(vme_asn), 
	.vme_ds1(vme_ds0n),
	.vme_ds2(vme_ds1n),
	.vme_am(vme_am),
	.vme_wr(vme_wrtn),
	.vme_dtack(stx_dtackn),
	.vme_lword(vme_lwordn),
	.vme_addr(vme_add[31:1]),
	.vme_data(vme_data),
	.stx_245_oe_n(stx_245_oen),
	.stx_vme_accn(stratix_vme_accn),
	.wr_reg(wr_reg),
	.rd_reg(rd_reg),
	.vme_addr_out(vme_addr_int),
	.vme_data_out(vme_data_int),
	.dav(vme_din_dav),
	.data_in(vme_interface_din),
	.vme_iackinn(vme_iackinn),
	.vme_iackn(vme_iackn),
	.vme_iack_outn(vme_iack_outn),
	.vme_irqn(vme_irqn),
	.irq_vector_enable(irq_vector_enable),
	.intlev_reg(intlev_reg),
	.irq_vector_n(stratix_irq_vectorn),	
	.new_interrupt(new_interrupt),
	.int_in_fifo(int_in_fifo),
	.rora_roak(rora_roak));		
	
interrupt_manager interrupt_manager_i(
	.clk(clk), 
	.clrn({irq_vector_enable&&clrn}),
	.vme_cs(cs_int_manager),
	.vme_wr(wr_reg),
	.vme_rd(rd_reg),
	.vme_addr(vme_addr_int[3:2]),
	.vme_data(vme_data),
	.vme_dout_dav(int_manager_dav),
	.vme_dout(int_manager_data),
	.interrupt_in(debug_reg[7:0]),
	.interrupt_out(new_interrupt),
	.int_in_fifo(int_in_fifo),
	.rora_roak(rora_roak));
	
	
		
//CS GENERATION

cs_generator cs_generator_i(
	.vme_addr(vme_addr_int[23:2]),
	.cs_int_manager(cs_int_manager),
	.cs_vwbtn(cs_vwbtn),
	.cs_codec(cs_codec),
	.cs_vert_sram_master(cs_vert_sram_master),
	.cs_hor_sram_master(cs_hor_sram_master),
	.cs_pm_sram_master(cs_pm_sram_master),
	.w_mem_cs(w_mem_cs),
	.cs_trigger_manager(cs_trigger_manager),
	.cs_fir_dec(cs_fir_dec),
	.cs_cordic_win_1(cs_cordic_win_1),
	.cs_cordic_win_2(cs_cordic_win_2),
	.cs_cordic_win_3(cs_cordic_win_3),
	.cs_debug_reg(cs_debug_reg));

//VME DOUT AND DAV 	

vme_dout_arbiter vme_dout_arbiter_i (
	.cs_int_manager(cs_int_manager),
	.int_manager_data(int_manager_data),
	.int_manager_dav(int_manager_dav),
	.cs_vwbtn(cs_vwbtn), 
	.vwbtn_data(vwbtn_feedback), 
	.vwbtn_dav(rd_reg),
	.cs_codec(cs_codec), 
	.codec_data({adc_out_l[23:8], adc_out_r[23:8]}), 
	.codec_dav(rd_reg),
	.cs_vert_sram_master(cs_vert_sram_master), 
	.vert_sram_master_data(vert_sram_master_dout), 
	.vert_sram_master_dav(vert_sram_master_dav),
	.cs_hor_sram_master(cs_hor_sram_master), 
	.hor_sram_master_data(hor_sram_master_dout), 
	.hor_sram_master_dav(hor_sram_master_dav),
	.cs_pm_sram_master(cs_pm_sram_master), 
	.pm_sram_master_data(pm_sram_master_dout), 
	.pm_sram_master_dav(pm_sram_master_dav),
	.cs_w_mem(w_mem_cs),
	.w_mem_data(w_mem_dout),
	.w_mem_dav(rd_reg),
	.cs_trigger_manager(cs_trigger_manager), 
	.trigger_manager_data(trigger_manager_dout), 
	.trigger_manager_dav(trigger_manager_dav),
	.cs_cordic_win_1(cs_cordic_win_1), 
	.cordic_win_1_data(cordic_win_1_data), 
	.cordic_win_1_dav(cordic_win_1_dav),
	.cs_cordic_win_2(cs_cordic_win_2), 
	.cordic_win_2_data(cordic_win_2_data), 
	.cordic_win_2_dav(cordic_win_2_dav),
	.cs_cordic_win_3(cs_cordic_win_3), 
	.cordic_win_3_data(cordic_win_3_data), 
	.cordic_win_3_dav(cordic_win_3_dav),
	.cs_codec_control(cs_codec), 
	.codec_control_data(codec_dout), 
	.codec_control_dav(codec_dout_dav),
	.cs_fir_dec(cs_fir_dec), 
	.fir_dec_data(fir_dec_vme_dout), 
	.fir_dec_dav(fir_dec_vme_dout_dav),	
	.cs_debug_reg(cs_debug_reg), 
	.debug_reg(debug_reg), 
	.debug_reg_dav(rd_reg),
	.vme_data(vme_interface_din), 
	.vme_dav(vme_din_dav));

							
//VWBTN CONTROL

vwbtn_control_module vwbtn_control_module_i(
	.clk(clk), 
	.clrn(clrn), 
	.cs(cs_vwbtn), 
	.wr(wr_reg),
	.data_in(vme_data_int[13:0]),
	.vwbtn_bscan1(vwbtn_bscan1), 
	.vwbtn_bscan2(vwbtn_bscan2),
	.vwbtn_d(vwbtn_d),
	.vme_dout(vwbtn_feedback));

//FILTERs AND DECIMATORs	
	
fir_dec_2ch fir_dec_2ch_i(
	.clk(clk),
	.clrn(clrn),
	.vme_cs(cs_fir_dec),
	.vme_wr(wr_reg),
	.vme_rd(rd_reg),
	.vme_addr(vme_addr_int[9:2]),
	.vme_data(vme_data_int),
	.vme_dout_dav(fir_dec_vme_dout_dav),
	.vme_dout(fir_dec_vme_dout),
	.dav_in_l(adc_dav_l),
	.data_in_l(adc_out_l),
	.dav_in_r(adc_dav_r),
	.data_in_r(adc_out_r),
	.dav_out_l(fir_dec_dav_l),
	.data_out_l(fir_dec_dout_l),
	.overflow_l(fir_dec_oveflow_l),
	.dav_out_r(fir_dec_dav_r),
	.data_out_r(fir_dec_dout_r),
	.overflow_r(fir_dec_oveflow_r));
			
//CODEC CONTROL

codec_control codec_control_i(	 
	.clk(clk), 
	.clrn(clrn),
	.cs(cs_codec),
	.wr(wr_reg),
	.rd(rd_reg),
	.addr(vme_addr_int[9:2]), 
	.data(vme_data_int),
	.dout_dav(codec_dout_dav),
	.dout(codec_dout),
	.rf_clk(fp_40mhz),
	.lrck(hwbtn_control[2]), 
	.sclk(hwbtn_control[1]), 
	.sdout(hwbtn_control[0]), 
	.pre_mclk(hwbtn_d[0]),
	.sdin(hwbtn_d[1]),
	.spi_clk(hwbtn_d[2]), 
	.spi_cs(hwbtn_d[4]), 
	.spi_din(hwbtn_d[3]),
	.rst(hwbtn_d[5]),
	.out_l(adc_out_l), 
	.out_r(adc_out_r),
	.adc_dav_l(adc_dav_l),
	.adc_dav_r(adc_dav_r),
	.chirp_start_r(chirp_start_ch1),
	.chirp_start_l(chirp_start_ch2));		
		

//TRIGGER MANAGER	
	
trigger_manager trigger_manager_i(
	.clk(clk), 
	.clrn(clrn),
	.tick(time_tick),
	.cs(cs_trigger_manager),
	.wr(wr_reg),
	.rd(rd_reg),
	.addr(vme_addr_int[5:2]),
	.data(vme_data_int),
	.dout(trigger_manager_dout),
	.dav_out(trigger_manager_dav),
	.start_acq(trigger_acq),
	.en_acq_ch1(en_trigger_vert),
	.en_acq_ch2(en_trigger_hor),
	.start_chirp_ch1(chirp_start_ch1),
	.start_chirp_ch2(chirp_start_ch2));
	
	
//WINDOWING MODULE

cordic_windower cordic_win_1(
	.clk(clk), 
	.clrn(clrn),
	.vme_cs(cs_cordic_win_1),
	.vme_wr(wr_reg),
	.vme_rd(rd_reg),
	.vme_addr(vme_addr_int[5:2]),
	.vme_datain(vme_data_int),
	.en_windowing(en_window_ch1),
	.acq_lenght(acq_lenght_ch1),
	.vme_dout_dav(cordic_win_1_dav),
	.vme_dout(cordic_win_1_data),	
	.dav_in_l(fir_dec_dav_l),
	.din_l(fir_dec_dout_l),
	.dav_in_r(fir_dec_dav_r),
	.din_r(fir_dec_dout_r),
	.dav_out_l(win_dav_out_l_ch1),
	.dout_l(win_dout_l_ch1),
	.dav_out_r(win_dav_out_r_ch1),
	.dout_r(win_dout_r_ch1));

cordic_windower cordic_win_2(
	.clk(clk), 
	.clrn(clrn),
	.vme_cs(cs_cordic_win_2),
	.vme_wr(wr_reg),
	.vme_rd(rd_reg),
	.vme_addr(vme_addr_int[5:2]),
	.vme_datain(vme_data_int),
	.en_windowing(en_window_ch2),
	.acq_lenght(acq_lenght_ch2),
	.vme_dout_dav(cordic_win_2_dav),
	.vme_dout(cordic_win_2_data),	
	.dav_in_l(fir_dec_dav_l),
	.din_l(fir_dec_dout_l),
	.dav_in_r(fir_dec_dav_r),
	.din_r(fir_dec_dout_r),
	.dav_out_l(win_dav_out_l_ch2),
	.dout_l(win_dout_l_ch2),
	.dav_out_r(win_dav_out_r_ch2),
	.dout_r(win_dout_r_ch2));	

cordic_windower cordic_win_3(
	.clk(clk), 
	.clrn(clrn),
	.vme_cs(cs_cordic_win_3),
	.vme_wr(wr_reg),
	.vme_rd(rd_reg),
	.vme_addr(vme_addr_int[5:2]),
	.vme_datain(vme_data_int),
	.en_windowing(en_window_ch3),
	.acq_lenght(acq_lenght_ch3),
	.vme_dout_dav(cordic_win_3_dav),
	.vme_dout(cordic_win_3_data),		
	.dav_in_l(fir_dec_dav_l),
	.din_l(fir_dec_dout_l),
	.dav_in_r(fir_dec_dav_r),
	.din_r(fir_dec_dout_r),
	.dav_out_l(win_dav_out_l_ch3),
	.dout_l(win_dout_l_ch3),
	.dav_out_r(win_dav_out_r_ch3),
	.dout_r(win_dout_r_ch3));	

/*	
window_mem_master window_sram_pm(
	.clk(clk), 
	.clrn(clrn),
	.vme_module_sel(cs_pm_sram_master),
	.vme_wr(wr_reg),
	.vme_rd(rd_reg),
	.vme_addr(vme_addr_int[21:2]),
	.vme_datain(vme_data_int),
	.vme_dout_dav(pm_sram_master_dav),
	.vme_dout(pm_sram_master_dout),
	.en_window_ch1(en_window_ch1),
	.acq_lenght_ch1(acq_lenght_ch1),
	.en_window_ch2(en_window_ch2),
	.acq_lenght_ch2(acq_lenght_ch2),
	.fir_dec_dav_l(fir_dec_dav_l),
	.fir_dec_dout_l(fir_dec_dout_l),
	.fir_dec_dav_r(fir_dec_dav_r),
	.fir_dec_dout_r(fir_dec_dout_r),	
	.dav_out_ch1(win_dav_out_ch1),
	.dout_l_ch1(win_dout_l_ch1),
	.dout_r_ch1(win_dout_r_ch1),
	.dav_out_ch2(win_dav_out_ch2),	
	.dout_l_ch2(win_dout_l_ch2),
	.dout_r_ch2(win_dout_r_ch2),	
	.sram_addr(pm_sram_add),
	.sram_data(pm_sram_data),
	.sram_gwe_n(pm_sram_wrt_lwordn),
	.sram_bwe_n(pm_sram_byte_wen),
	.sram_oe_n(pm_sram_oen),
	.sram_ce1_n(pm_sram_ce1n),
	.sram_clk(pm_sram_clk));
*/
	
//SRAM CONTROLLER

fft_mem_master fft_sram_vert(
	.clk(clk), 
	.clrn(clrn),
	.vme_module_sel(cs_vert_sram_master),
	.vme_wr(wr_reg),
	.vme_rd(rd_reg),
	.vme_addr(vme_addr_int[21:2]),
	.vme_datain(vme_data_int),
	.vme_dout_dav(vert_sram_master_dav),
	.vme_dout(vert_sram_master_dout),
	.vme_retry_n(),
	.trigger(trigger_acq),
	.en_trigger(en_trigger_vert),
	.fir_dec_dav_l(win_dav_out_l_ch1),
	.fir_dec_ovf_l(fir_dec_oveflow_l),
	.fir_dec_dout_l(win_dout_l_ch1),
	.fir_dec_dav_r(win_dav_out_r_ch1),
	.fir_dec_ovf_r(fir_dec_oveflow_r),
	.fir_dec_dout_r(win_dout_r_ch1),	
	.en_windowing(en_window_ch1),
	.acq_lenght(acq_lenght_ch1),	
	.fft_mod_req(fft_req_ch1),
	.fft_acc_granted(fft_grant_ch1),
	.fft_start(fft_start_vert),
	.fft_iteration(fft_iteration_vert),
	.fft_n_2(fft_n_2_vert),
	.fft_x_t(fft_x_t_vert),
	.fft_x_f(fft_x_f),
	.fft_overflow(fft_overflow),
	.sram_addr(vert_sram_add),
	.sram_data(vert_sram_data),
	.sram_gwe_n(vert_sram_wrt_lwordn),
	.sram_bwe_n(vert_sram_byte_wen),
	.sram_oe_n(vert_sram_oen),
	.sram_ce1_n(vert_sram_ce1n),
	.sram_clk(vert_sram_clk));
	
fft_mem_master fft_sram_hor(
	.clk(clk), 
	.clrn(clrn),
	.vme_module_sel(cs_hor_sram_master),
	.vme_wr(wr_reg),
	.vme_rd(rd_reg),
	.vme_addr(vme_addr_int[21:2]),
	.vme_datain(vme_data_int),
	.vme_dout_dav(hor_sram_master_dav),
	.vme_dout(hor_sram_master_dout),
	.vme_retry_n(),
	.trigger(trigger_acq),
	.en_trigger(en_trigger_hor),	
	.fir_dec_dav_l(win_dav_out_l_ch2),
	.fir_dec_ovf_l(fir_dec_oveflow_l),
	.fir_dec_dout_l(win_dout_l_ch2),
	.fir_dec_dav_r(win_dav_out_r_ch2),
	.fir_dec_ovf_r(fir_dec_oveflow_r),
	.fir_dec_dout_r(win_dout_r_ch2),	
	.en_windowing(en_window_ch2),
	.acq_lenght(acq_lenght_ch2),
	.fft_mod_req(fft_req_ch2),
	.fft_acc_granted(fft_grant_ch2),
	.fft_start(fft_start_hor),
	.fft_iteration(fft_iteration_hor),
	.fft_n_2(fft_n_2_hor),
	.fft_x_t(fft_x_t_hor),
	.fft_x_f(fft_x_f),
	.fft_overflow(fft_overflow),
	.sram_addr(hor_sram_add),
	.sram_data(hor_sram_data),
	.sram_gwe_n(hor_sram_wrt_lwordn),
	.sram_bwe_n(hor_sram_byte_wen),
	.sram_oe_n(hor_sram_oen),
	.sram_ce1_n(hor_sram_ce1n),
	.sram_clk(hor_sram_clk));

/*		
fft_mem_master fft_sram_pm(
	.clk(clk), 
	.clrn(clrn),
	.vme_module_sel(cs_pm_sram_master),
	.vme_wr(wr_reg),
	.vme_rd(rd_reg),
	.vme_addr(vme_addr_int[21:2]),
	.vme_datain(vme_data_int),
	.vme_dout_dav(pm_sram_master_dav),
	.vme_dout(pm_sram_master_dout),
	.vme_retry_n(),
	.trigger(trigger_acq),
	.en_trigger(en_trigger_vert), //2 be changed
	.fir_dec_dav_l(win_dav_out_l_ch3),
	.fir_dec_ovf_l(fir_dec_oveflow_l),
	.fir_dec_dout_l(win_dout_l_ch3),
	.fir_dec_dav_r(win_dav_out_r_ch3),
	.fir_dec_ovf_r(fir_dec_oveflow_r),
	.fir_dec_dout_r(win_dout_r_ch3),	
	.en_windowing(en_window_ch3),
	.acq_lenght(acq_lenght_ch3),	
	.fft_mod_req(),//2 be changed
	.fft_acc_granted(fft_grant_ch1),//2 be changed
	.fft_start(),//2 be changed
	.fft_iteration(),//2 be changed
	.fft_n_2(),//2 be changed
	.fft_x_t(),//2 be changed
	.fft_x_f(fft_x_f),
	.fft_overflow(fft_overflow),
	.sram_addr(pm_sram_add),
	.sram_data(pm_sram_data),
	.sram_gwe_n(pm_sram_wrt_lwordn),
	.sram_bwe_n(pm_sram_byte_wen),
	.sram_oe_n(pm_sram_oen),
	.sram_ce1_n(pm_sram_ce1n),
	.sram_clk(pm_sram_clk));
*/
	
//FFT MODULE	

fft_module_arbiter fft_module_arbiter_i(
	.clk(clk), 
	.clrn(clrn),
	.req_ch1(fft_req_ch1),
	.req_ch2(fft_req_ch2),
	.grant_ch1(fft_grant_ch1),
	.grant_ch2(fft_grant_ch2),
	.fft_start_ch1(fft_start_vert),
	.fft_iteration_ch1(fft_iteration_vert),
	.fft_n_2_ch1(fft_n_2_vert),
	.fft_x_t_ch1(fft_x_t_vert),
	.fft_start_ch2(fft_start_hor),
	.fft_iteration_ch2(fft_iteration_hor),
	.fft_n_2_ch2(fft_n_2_hor),
	.fft_x_t_ch2(fft_x_t_hor),
	.fft_start_out(fft_start),
	.fft_iteration_out(fft_iteration),
	.fft_n_2_out(fft_n_2),
	.fft_x_t_out(fft_x_t));

	
								
FFT_radix4 FFT_module(
	.clk(clk), 
	.clrn(clrn), 
	.start(fft_start),
	.iteration(fft_iteration),
	.n_2(fft_n_2),
	.datain(fft_x_t),
	.dataout(fft_x_f),
	.overflow(fft_overflow),
	.w_mem_cs(w_mem_cs),
	.w_mem_wr(wr_reg),
	.w_mem_addr(vme_addr_int[17:2]),
//	.w_mem_din(vme_data[17:0]),
	.w_mem_din(vme_data_int),
	.w_mem_dout(w_mem_dout));

		
endmodule
