`timescale 1 ns/ 1 ns

module 	abte16246 (  dir9, dir10, dir11, oe_n, oe11_n, b, b_in, b_out, a);
input	dir9, dir10, dir11, oe_n, oe11_n; 
inout	[11:9] b;
input	[8:1] b_in;
output	[8:1] b_out;
inout	[11:1] a;


assign a[11]	= (oe_n || ~dir11)	? 1'hz : b[11];
assign a[10]	= (oe_n || ~dir10)	? 1'hz : b[10];
assign a[9]		= (oe_n || ~dir9)	? 1'hz : b[9];
assign a[8]		= (oe_n || b_in[8])	? 1'hz : 1'b0;
assign a[7]		= (oe_n || b_in[7])	? 1'hz : 1'b0;
assign a[6]		= (oe_n || b_in[6])	? 1'hz : 1'b0;
assign a[5]		= (oe_n || b_in[5])	? 1'hz : 1'b0;
assign a[4]		= (oe_n || b_in[4])	? 1'hz : 1'b0;
assign a[3]		= (oe_n || b_in[3])	? 1'hz : 1'b0;
assign a[2]		= (oe_n || b_in[2])	? 1'hz : 1'b0;
assign a[1]		= (oe_n || b_in[1])	? 1'hz : 1'b0;

assign b[11]	= (oe_n || oe11_n || dir11)	? 1'hz : a[11];
assign b[10]	= (oe_n || dir10)			? 1'hz : a[10];
assign b[9]		= (oe_n || dir9)			? 1'hz : a[9];
assign b_out	= oe_n						? 8'hz : a[8:1];

endmodule